%define anolis_release 2

%global pypi_name trustme

%bcond_without  tests
%bcond_with     docs

Summary:        #1 quality TLS certs while you wait, for the discerning tester
Name:           python-%{pypi_name}
Version:        0.9.0
Release:        %{anolis_release}%{?dist}
License:        MIT or ASL 2.0
URL:            https://github.com/python-trio/trustme
Source0:        %pypi_source
BuildArch:      noarch


%description
You wrote a cool network client or server.  It encrypts connections using TLS.
Your test suite needs to make TLS connections to itself.  Uh oh.  Your test
suite probably doesn't have a valid TLS certificate.  Now what?  trustme is a
tiny Python package that does one thing: it gives you a fake certificate
authority (CA) that you can use to generate fake TLS certs to use in your
tests.  Well, technically they are real certs, they are just signed by your CA,
which nobody trusts.  But you can trust it.  Trust me.


%package -n python3-%{pypi_name}
Summary:        %{summary}
%if %{with tests}
BuildRequires:  %{py3_dist pytest pyopenssl service-identity}
%endif
BuildRequires:  python3-devel
BuildRequires:  python3dist(toml)
BuildRequires:  python3dist(wheel)
BuildRequires:  python3dist(idna)
BuildRequires:  python3dist(pip)


%description -n python3-%{pypi_name}
You wrote a cool network client or server.  It encrypts connections using TLS.
Your test suite needs to make TLS connections to itself.  Uh oh.  Your test
suite probably doesn't have a valid TLS certificate.  Now what?  trustme is a
tiny Python package that does one thing: it gives you a fake certificate
authority (CA) that you can use to generate fake TLS certs to use in your
tests.  Well, technically they are real certs, they are just signed by your CA,
which nobody trusts.  But you can trust it.  Trust me.


%if %{with docs}
%package -n python-%{pypi_name}-doc
Summary:        Documentation for %{name}
BuildRequires:  %{py3_dist sphinx sphinxcontrib-trio}


%description -n python-%{pypi_name}-doc
Documentation for %{name}.
%endif


%prep
%autosetup -n %{pypi_name}-%{version}


%build
%pyproject_wheel

%if %{with docs}
sphinx-build-3 docs/source html
%endif


%install
%pyproject_install
%pyproject_save_files %{pypi_name}


%if %{with tests}
%check
%pytest --verbose
%endif


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst


%if %{with docs}
%files -n python-%{pypi_name}-doc
%license LICENSE LICENSE.MIT LICENSE.APACHE2
%doc html
%endif


%changelog
* Wed Mar 27 2024 Bo Ren <rb01097748@alibaba-inc.com> - 0.9.0-2
- Rebuild with python3.11

* Thu Apr 20 2023 DengXiewei <dengxiewei@linux.alibaba.com> - 0.9.0-1
- Initial package from upstream

